ctdUpdateHeader {oce} | R Documentation

## Update a CTD Header [deprecated]

### Description

WARNING: This function will be removed soon; see oce-deprecated.

### Usage

    ctdUpdateHeader(x, debug = FALSE)

### Arguments

`x` | A `ctd` object, i.e. one inheriting from `ctd-class`.

`debug`

an integer specifying whether debugging information is to be printed during the processing. This is a general parameter that is used by many `oce` functions. Generally, setting `debug=0` turns off the printing, while higher values suggest that more information be printed. If one function calls another, it usually reduces the value of `debug` first, so that a user can often obtain deeper debugging by specifying higher `debug` values.

### Details

Update the header of a `ctd` object, e.g. adjusting `nvalues` and the `span` of each column. This is done automatically by `ctdTrim`, for example.

### Value

A new `ctd-class` object.

### Author(s)

Dan Kelley

### References

The Seabird CTD instrument is described at `http://www.seabird.com/products/spec_sheets/19plusdata.htm`.

### See Also

Other functions that will be removed soon: `addColumn`, `ctdAddColumn`, `mapMeridians`, `mapZones`, `oce.as.POSIXlt`

### Examples

    library(oce)
    data(ctd)
    ctd[["pressure"]] <- ctd[["pressure"]] + 3
    ctdNew <- ctdUpdateHeader(ctd)

[Package oce version 0.9-22 Index]